package org.wso2.carbon.device.mgt.ios.payload.enrollment;

enum PayloadType {

    PROFILE_SERVICE("Profile Service", "com.wso2.mobileconfig.profile-service"),
    MDM("com.apple.mdm", "com.wso2.mdm"),
    CONFIGURATION("Configuration", "com.wso2.encrypted-profile-service"),
    SCEP("com.apple.security.scep", "com.WSO2Mobile.encryption-cert-request");

    private String payloadType;
    private String payloadIdentifier;

    private PayloadType(String payloadType, String payloadIdentifier) {
        this.payloadType = payloadType;
        this.payloadIdentifier = payloadIdentifier;
    }

    public String getPayloadType() {
        return payloadType;
    }

    public void setPayloadType(String payloadType) {
        this.payloadType = payloadType;
    }

    public String getPayloadIdentifier() {
        return payloadIdentifier;
    }

    public void setPayloadIdentifier(String payloadIdentifier) {
        this.payloadIdentifier = payloadIdentifier;
    }

}
